HMCDRVFS(1)

NAME
hmcdrvfs - mount a FUSE file system for remote access to a DVD in a HMC DVD drive

SYNOPSIS
mounting:
    hmcdrvfs MOUNTPOINT [OPTIONS]

unmounting:
    fusermount -u MOUNTPOINT

DESCRIPTION
Use the hmcdrvfs command for read-only access to files on a DVD in the DVD drive of an HMC . On the HMC , the DVD must be assigned to the LPAR within which your Linux instance runs. For z/VM guests, the DVD must be assigned to the LPAR where the z/VM hypervisor runs. With the DVD assigned to your Linux instance, this command creates a FUSE.HMCDRVFS file system with the content of the DVD at the specified mountpoint.

OPTIONS

  General mount options

-o opt[,opt...]
    FUSE or mount command options; for the FUSE options see below, for mount options see mount(8)

-h, --help
    print usage information, then exit (see also DIAGNOSTICS)

-v, --version
    print version information, then exit

  Specific FUSE.HMCDRVFS options

-o hmclang=LANG
    specify the language setting on the HMC ; for valid values, see locale(1); for more information, see DIAGNOSTICS and EXAMPLES

-o hmctz=TZ
    specify the time zone setting on the HMC ; for valid values, see tzset(3); for more information, see DIAGNOSTICS and EXAMPLES

  Applicable FUSE options (version 2.6)

-d, -o debug
    enable debug output (implies -f)

-f  foreground operation

-s  disable multi-threaded operation

-o allow_other
    allow access by other users

-o allow_root
    allow access by root

-o default_permissions
    enable permission checking by kernel

-o fsname=NAME
    set file system name

-o subtype=TYPE
    set file system type

-o max_read=N
    set maximum size of read requests

-o direct_io
    use direct I/O

-o kernel_cache
    cache files in kernel

-o [no]auto_cache
    enable caching based on modification times

-o umask=M
    set file permissions (octal)

-o uid=N
    set file owner

-o gid=N
    set file group

-o entry_timeout=T
    cache timeout for names (default: 1.0 second)

-o attr_timeout=T
    cache timeout for attributes (default: 1.0 second)

-o ac_attr_timeout=T
    auto cache timeout for attributes (default: attr_timeout)

-o max_readahead=N
    set maximum readahead

-o async_read
    perform reads asynchronously (default)

-o sync_read
    perform reads synchronously

-o no_remote_lock
    disable remote file locking

-o intr
    allow requests to be interrupted

-o intr_signal=NUM
    signal to send on interrupt

EXAMPLES
To mount the HMC drive DVD at /mnt/hmc without any special options use:

    $ hmcdrvfs /mnt/hmc

In case the kernel module hmcdrv was not loaded in advance use:

    # modprobe hmcdrv
    # hmcdrvfs /mnt/hmc

To translate the UID and GID of files on the HMC drive DVD to your system users and groups along with overriding the permissions use for example:

    $ hmcdrvfs /mnt/hmc -o uid=500 -o gid=1000 -o umask=0337

To speed up transfer rates to frequently accessed directories use the cache timeout option:

    $ hmcdrvfs /mnt/hmc -o entry_timeout=60

If the HMC is in a different timezone and is configured for a different language use, for example:

    $ hmcdrvfs /mnt/hmc -o hmclang=de_DE -o hmctz=Europe/Berlin

or disregarding any daylight saving time, specifying hours west of Prime Meridian (UTC):

    $ hmcdrvfs /mnt/hmc -o hmclang=de_DE -o hmctz="GMT-1"

To unmount the HMC drive DVD mounted on /mnt/hmc use:

    $ fusermount -u /mnt/hmc

It is also possible to mount by using fstab(5). Specify the mount point and associated mount options in /etc/fstab, for example:

    hmcdrvfs /mnt/hmc fuse ro,noatime,allow_other,uid=500,gid=1000

You can then mount the file system with this command:

    # mount /mnt/hmc

FILES
Some general options about mount policy can be set in the /etc/fuse.conf file. These options are:

mount_max=NNN
    Set the maximum number of FUSE mounts allowed to non-root users. The default is 1000.

user_allow_other
    Allow non-root users to specify the allow_other or allow_root mount options.

DIAGNOSTICS

1.  The FUSE.HMCDRVFS file system needs access to device node /dev/hmcdrv. This node is created automatically when the hmcdrv kernel module is loaded (see Linux kernel configuration option CONFIG_HMC_DRV ). The user process that runs the hmcdrvfs command must have sufficient privileges to read from and write to node /dev/hmcdrv. Use the commands chown(1), chgrp(1) and/or chmod(1) on node /dev/hmcdrv to ensure this condition.

2.  In addition to the required permissions, there are some environmental requirements:

    -   In a z/VM environment, the z/VM guest virtual machine must have at least privilege class B.

    -   For Linux in LPAR mode, the LPAR activation profile must allow issuing SCLP requests.

    -   On the HMC , the DVD must be assigned to the associated system image (use menu Access Removable Media).

3.  The FUSE.HMCDRVFS file system maintains a file attributes cache, with an aging timeout. This timeout is related to the entry_timeout and attr_timeout FUSE options. Its value exceeds the greater of the two, entry_timeout and attr_timeout, by 30 - 60 seconds. This timeout affects the performance of the FUSE.HMCDRVFS file system.

4.  Different language and time zone settings on the HMC and your Linux instance can result in incorrect file modification information.

    -   Use the hmclang specific FUSE.HMCDRVFS option if the language settings of the HMC and your Linux instance do not match. Correctly setting this option prevents incorrect file modification dates in the file details. Omitting the hmclang option can result in incorrect dates of the form 01-01-YYYY, with misleading values for the day and month.

    -   Use the hmctz specific FUSE.HMCDRVFS option if the time zone settings of the HMC and your Linux instance do not match. Correctly setting this option prevents incorrect file modification times in the file details. Omitting hmctz, an incorrect specification, or a missing time zone description file can result in modification times that differ up to 25 hours from the correct times. Specifications that cannot be interpreted result in GMT/UTC being set. If the HMC is set to GMT/UTC, specify hmctz="".

5.  The following generic mount options from mount(8) are ignored:

    -w, --rw, -o rw
        mount the file system read/write

    -o atime
        update inode access times on this file system

6.  The following FUSE mount options from mount.fuse(8) are ignored:

    -o hard_remove
        immediate removal

    -o negative_timeout
        cache timeout for deleted names

    -o max_write=N
        set maximum size of write requests

    -o atomic_o_trunc
        enable atomic open+truncate support

    -o big_writes
        enable larger than 4kB writes

    -o subdir=DIR
        prepend this directory to all paths

    -o use_ino
        let file system set inode numbers

    -o readdir_ino
        try to fill in d_ino in readdir

SEE ALSO
tzset(3), locale(1), fusermount(1), fstab(5), mount(8), mount.fuse(8) lshmc(8), and Linux on System z: Device Drivers, Features and Commands